Bug 13032 - aic7xxx module and timeout errors.
aic7xxx module and timeout errors.
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Depends On:
  Show dependency treegraph
Reported: 2000-06-25 23:32 EDT by Edward Rudd
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-14 19:02:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Edward Rudd 2000-06-25 23:32:46 EDT
I recently (earlier today) upgraded my system to the latest kernel release
(2.2.16-3) and ran into one problem with the scsi card driver (aic7xxx). I
have a adaptec 2940a PCI scsi controller and have an external jaz and zip
on it.. the jaz worked fine but the zip drive refused to work correctly. I
would get it mounted and could do a directory listing and may copy part of
a file. then my kernel log would fill up with tim out errors (using dmesg)
I hunted around and found the actual aic7xxx driver page and updated to the
latest release (5.1.31) using the kernel 2.2.16-3 source tree as the base
for the patch. compile the modules and copied the aic7xxx module in the
/lib/modules/.... and now everything works fine...
Comment 1 Need Real Name 2000-08-17 14:17:54 EDT
I fixed mine by overwriting the aic7xxx files (and directory) in the source
    distro with the ones from RH 6.1.  A pain to get ahold of them, but once I
    I then re-compiled the kernel and the aic problems went away.
Comment 2 hughett 2000-09-12 10:02:58 EDT
I encountered the same problem and found that falling back to the 2.2.14-5.0
kernel (which comes with the RH 6.2 CDROM) also works correctly.
Comment 3 Alan Cox 2002-12-14 19:02:33 EST
Newer releases had newer drivers that fixed all this. Someone just forgot to
close the bug

Note You need to log in before you can comment on or make changes to this bug.